Name:           bind-dyndb-ldap
Version:        0.2.0
Release:        7%{?dist}.1
Summary:        LDAP back-end plug-in for BIND

Group:          System Environment/Libraries
License:        GPLv2+
URL:            https://fedorahosted.org/bind-dyndb-ldap
Source0:        https://fedorahosted.org/released/%{name}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  bind-devel >= 32:9.6.1-0.3.b1
BuildRequires:  krb5-devel
BuildRequires:  openldap-devel

Requires:       bind >= 32:9.6.1-0.3.b1

Patch0: bind-dyndb-ldap020-rh707255.patch
Patch1: bind-dyndb-ldap020-rh727856.patch
Patch2: 0001-Remove-code-which-dowgrades-authentication-method.patch
Patch3: 0002-Perform-ldap_bind-when-ldap_search-fails-with-LDAP_I.patch
Patch4: 0003-Remove-unused-retry-label.patch
Patch5: 0005-Reconnect-ldap_bind-every-time-when-we-receive-error.patch
Patch6: 0001-Added-new-ldap_hostname-option.patch
Patch7: bind-dyndb-ldap020-rh744312.patch
Patch8: bind-dyndb-ldap020-rh748901.patch
Patch9: bind-dyndb-ldap020-CVE-2012-2134.patch

%description
This package provides an LDAP back-end plug-in for BIND. It features
support for dynamic updates and internal caching, to lift the load
off of your LDAP server.


%prep
%setup -q

%patch0 -p1 -b .rh707255
%patch1 -p1 -b .rh727856
%patch2 -p1 -b .rh742368-1
%patch3 -p1 -b .rh742368-2
%patch4 -p1 -b .rh742368-3
%patch5 -p1 -b .rh742368-4
%patch6 -p1 -b .rh745045
%patch7 -p1 -b .rh744312
%patch8 -p1 -b .rh748901
%patch9 -p1 -b .CVE-2012-2134

%build
%configure
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# Remove unwanted files
rm %{buildroot}%{_libdir}/bind/ldap.la
rm -r %{buildroot}%{_datadir}/doc/%{name}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README COPYING doc/{example.ldif,schema}
%{_libdir}/bind/ldap.so


%changelog
* Thu Apr 26 2012 Adam Tkac <atkac redhat com> - 0.2.0-7.1
- fix for CVE-2012-2134

* Wed Oct 26 2011 Adam Tkac <atkac redhat com> - 0.2.0-7
- fix previous patch, it free()-ed memory when shouldn't (#748901)

* Wed Oct 19 2011 Adam Tkac <atkac redhat com> - 0.2.0-6
- fix memory leak; happened when adding of RRs to cache failed

* Wed Oct 19 2011 Adam Tkac <atkac redhat com> - 0.2.0-5
- add new ldap_hostname option

* Wed Oct 12 2011 Adam Tkac <atkac redhat com> - 0.2.0-4
- always honour selected authentication method (#742368)

* Mon Aug 15 2011 Adam Tkac <atkac redhat com> - 0.2.0-3
- fix race condition in semaphore_wait() function (#727856)

* Fri Aug 12 2011 Adam Tkac <atkac redhat com> - 0.2.0-2
- automatically load new zones runtime when zone_refresh is set (#707255)

* Fri Jan 14 2011 Adam Tkac <atkac redhat com> - 0.2.0-1
- update to 0.2.0

* Wed Mar 24 2010 Martin Nagy <mnagy@redhat.com> - 0.1.0-0.9.b
- update to the latest upstream release
- Resolves: #556554

* Thu Jan 28 2010 Adam Tkac <atkac redhat com> - 0.1.0-0.8.a1.20091210git
- rebuild against updated bind package

* Tue Dec 15 2009 Adam Tkac <atkac redhat com> - 0.1.0-0.7.a1.20091210git
- rebuild against new bind

* Thu Dec 10 2009 Martin Nagy <mnagy@redhat.com> - 0.1.0-0.6.a1.20091210git
- update to the latest git snapshot
- change upstream URL, project moved to fedorahosted
- change license to GPL version 2 or later
- add epoch to versioned requires
- add krb5-devel to the list of build requires

* Tue Dec 01 2009 Adam Tkac <atkac redhat com> - 0.1.0-0.5.a1
- rebuild against new bind

* Thu Nov 26 2009 Adam Tkac <atkac redhat com> - 0.1.0-0.4.a1
- rebuild against new bind

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-0.3.a1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jun 19 2009 Caolán McNamara <caolanm@redhat.com> - 0.1.0-0.2.a1
- rebuild for dependencies

* Sun May 03 2009 Martin Nagy <mnagy@redhat.com> - 0.1.0-0.1.a1
- initial packaging
